curl --request GET \
--url 'https://api.stateset.com/api/v1/production-batches' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"production_batches": [
{
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"status": "pending",
"work_order_ids": []
}
],
"total": 102
}
List production batches
List production batches
GET
/
api
/
v1
/
production-batches
curl --request GET \
--url 'https://api.stateset.com/api/v1/production-batches' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"production_batches": [
{
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"status": "pending",
"work_order_ids": []
}
],
"total": 102
}
Query parameters
string
integer (int32)
integer (int32)
Response
ProductionBatchListResponse
ProductionBatchResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/production-batches' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"production_batches": [
{
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"status": "pending",
"work_order_ids": []
}
],
"total": 102
}
Last modified on August 31, 2026